#### D.15.4.32 derivationFromPoly

Procedure from library `difform.lib` (see difform_lib).

Usage:
  derivation phi = derivationFromPoly(f); f poly

Return:
  a derivation which maps any degree-1 generator to f

Remarks:
  The degree-1 generators are returned by diffAlgebraListGen

Note:
  the procedure allows to interpret polynomials as derivations

Example:

    LIB "difform.lib";
    ring R = 0,(x,y,z),lp;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDx, dDy, dDz, dx, dy, dz are available.
    //////////////////////////////////////////////////
    // Construction of derivations from polynomials //
    //////////////////////////////////////////////////
    derivation phi = derivationFromPoly(3x*y - 12*y4-z2); phi;
    ==>  Omega_R^1 --> R
    ==>        dx |--> 3xy-12y4-z2
    ==>        dy |--> 3xy-12y4-z2
    ==>        dz |--> 3xy-12y4-z2
    ==>
    ==>
    derivation psi = derivationFromPoly(0); psi;
    ==>  Omega_R^1 --> R
    ==>        dx |--> 0
    ==>        dy |--> 0
    ==>        dz |--> 0
    ==>
    ==>
    kill Omega_R,dx,dy,dz,phi,psi;

See also: derivationConstructor; derivationFromList.

User manual for Singular version 4.4.1, 2025, generated by texi2html.